import 'package:at_client_mobile/at_client_mobile.dart';

Future<void> main(List<String> arguments) async {
  var atClientServiceInstance = AtClientService();
  var atClientPreference = AtClientPreference()
    ..isLocalStoreRequired = true
    ..commitLogPath = 'storage/commitlog'
    ..syncStrategy = SyncStrategy.IMMEDIATE
    ..rootDomain = 'root.atsign.com'
    ..hiveStoragePath = 'storage/hive';
  var result = await atClientServiceInstance.onboard(
      atClientPreference: atClientPreference,
      atsign: '@alice',
      namespace: 'buzz');
  print(result);
  var atClientInstance = atClientServiceInstance.atClient;
  print(atClientInstance);
}
